<p:fieldset xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui">

    <h:form id="registroDeSolicitudDeDocumentosForm"
            onkeypress="return event.keyCode != 13;" prependId="true">

        <h:panelGrid columns="1" cellspacing="5" width="100%">
            <p:messages id="msgRegistro" showDetail="false" globalOnly="false" />
            <h:panelGrid columns="4" width="100%" cellspacing="5" id="panelContent">
                <h:outputLabel
                    value="Medio por el cual se solicitaron los documentos:"
                    styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:selectOneMenu id="medioDeEnvio2" label="Medio de envío"
                                 value="#{managedBeanParam.medioDeSolicitudDocumentos}"
                                 required="true" style="width:150px;" >
                    <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                    <f:selectItems
                        value="#{managedBeanParam.itemListMedioSolicitudDoc}" />
                    <p:ajax process="@this" update="panelContent" />
                </h:selectOneMenu>
                <p:message for="medioDeEnvio2" display="icon" id="medioDeEnvioMsg"></p:message>

                <h:outputLabel
                    value="Fecha de comunicación de la solicitud de los documentos:"
                    styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <p:calendar id="fechaNotificacion" effect="explode"
                            maxdate="#{managedBeanParam.fechaHoy}"
                            value="#{managedBeanParam.fechaNotificacion}" navigator="true"
                            label="Fecha de notificación" showOn="both" required="true" title="#{general.formatoFechaUsuario}"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            style="width:150px;" />
                <p:message for="fechaNotificacion" display="icon" id="fechaMsg" />

                <h:outputLabel value="Nombre de persona que atendió:"
                               id="personaNotificadaLabel" styleClass="outputLabelStyle"
                               rendered="#{managedBeanParam.medioDeSolicitudDocumentos ne 'Correo electrónico' and managedBeanParam.medioDeSolicitudDocumentos ne 'Correo Postal'}" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle"
                               rendered="#{managedBeanParam.medioDeSolicitudDocumentos ne 'Correo electrónico' and managedBeanParam.medioDeSolicitudDocumentos ne 'Correo Postal'}" />
                <h:inputText id="personaNotificada"
                             rendered="#{managedBeanParam.medioDeSolicitudDocumentos ne 'Correo electrónico' and managedBeanParam.medioDeSolicitudDocumentos ne 'Correo Postal'}"
                             label="Persona que atendió" 
                             style="width:150px;" 
                             value="#{managedBeanParam.personaNotificada}" maxlength="95" required="true"/>
                <p:message for="personaNotificada" display="icon" id="personaNotificadaMsg" />
            </h:panelGrid>

            <h:panelGrid columns="1" width="100%" cellspacing="5">
                <h:panelGrid>
                    <h:outputLabel value="Observación:" styleClass="outputLabelStyle" />
                    <p:message for="observacion" display="icon" id="observacionMsg" />
                </h:panelGrid>
                <h:inputTextarea id="observacion" 
                                 onkeydown="controlarNroChars(this, 600, true)"
                                 onkeyup="controlarNroChars(this, 600, true)"
                                 value="#{managedBeanParam.observacionNotificacion}"
                                 style="width:700px;height:80px;" />
            </h:panelGrid>

            <h:inputHidden value="#{managedBeanParam.destinoListaTareas}"
                           id="hiddenDestino" />

            <h:panelGrid id="panelButtons" columns="3" cellspacing="5"
                         width="100%">
                <p:commandButton id="aceptarRegistroBtn" value="Guardar"
                                 icon="ui-icon-disk" title="Registra la solicitud de documentos"
                                 label="Guardar" ajax="true" style="width:120px;height:20px;"
                                 disabled="#{managedBeanParam.mostrarBotonMover}"
                                 update="registroDeSolicitudDeDocumentosForm"
                                 action="#{managedBeanParam.actualizarSolicitudDeDocumentos}" />

                <p:commandButton id="btnMoverProceso" value="Mover el proceso"
                                 icon="ui-icon-seek-next"
                                 title="Mover el proceso para iniciar el tiempo de espera"
                                 label="Mover el proceso" ajax="false"
                                 style="width:120px;height:20px;"
                                 disabled="#{!managedBeanParam.mostrarBotonMover}"
                                 action="#{managedBeanParam.moverProceso}" />

                <p:commandButton id="verOficioBtn" icon="ui-icon-script"
                                 value="Ver oficio de solicitud de documentos"
                                 title="Ver oficio de solicitud de documentos"
                                 style="height:20px;"
                                 update=":asignacionOficioForm:oficioSolicitudDeDocumentos, :msg, medioDeEnvioMsg, fechaMsg, personaNotificadaMsg, observacionMsg"
                                 action="#{managedBeanParam.consultarEnAlfrescoDocumentoRadicado}"
                                 process="@this, panelButtons"
                                 oncomplete="asignacionOficioWV.show();">
                    <f:setPropertyActionListener value="true"
                                                 target="#{tramiteASolicitarDocumentos.vistaReporteDespuesDeRadicar}" />
                </p:commandButton>
            </h:panelGrid>
        </h:panelGrid>
    </h:form>
</p:fieldset>